Skip to main content
POST
Add followers

Authorizations

Authorization
string
header
required

Use your account ID as the username and your personal access token (PAT) as the password, or pass a Base64-encoded value directly in the Authorization header. For more information, see the personal access tokens guide.

Path Parameters

ticketID
string<uuid>
required

Unique object identifier

Example:

"42e113f9-9353-4e89-9f68-69b92f423b0c"

Body

application/json
followers
string<uuid>[]

List of ticket followers (agents)

Unique object identifier

Response

200 - application/json

Successful response.

ID
string<uuid>

Unique object identifier.

licenseID
integer

Unique account identifier.

createdAt
string<date-time>

The time of creation.

createdBy
string<uuid>

The creator identifier.

createdByType
enum<string>

The creator type.

Available options:
agent,
client,
system
updatedAt
string<date-time>

The time of last modification.

updatedBy
string<uuid>

The modification author identifier.

shortID
string

The short ticket ID.

lastMessageAt
string<date-time>

The time of last public message.

parentTicket
object | null

The parent ticket reference.

childTickets
object[]

The merged ticket reference.

status
enum<string>
default:open

Ticket status

Available options:
open,
pending,
onhold,
solved,
closed
priority
enum<integer>
default:0
Available options:
-10,
0,
10,
20
subject
string
teamIDs
string<uuid>[]

The teams that can access the ticket.

Unique object identifier

requester
object

Ticket requester

cc
object[]

A list of people in the loop.

tagIDs
string<uuid>[]

A list of ticket tags.

Unique object identifier

followers
string<uuid>[]

A list of ticket followers (agents).

Unique object identifier

assignment
object

Team / agent assignment

integration
object
customFields
object

Object with custom fields values, where key is custom fields apiKey.

Example:
ratingRequeestSent
boolean
default:false

Has rating request been sent.

rating
object | null

Ticket rating

silo
enum<string>
default:tickets

Ticket silo (folder). Please check ticket silos section for more information

Available options:
tickets,
archive,
trash,
spam
spam
object
source
object
events
object[]

The ticket events.

integrations
object
detectedLanguage
string

The detected language code.